Sage 6.4 on Ubuntu 14.04 LTS (ipython notebook and ssl)

242 views
Skip to first unread message

Eric Gourgoulhon

unread,
Nov 19, 2014, 8:31:06 AM11/19/14
to sage-r...@googlegroups.com
Hi,

For installing Sage 6.4 from sources on Ubuntu 14.04, I suggest that the package libssl-dev is added to the prerequisites listed in
http://www.sagemath.org/doc/installation/source.html#prerequisites
and in SAGE_ROOT/README.txt
Indeed, without it, the command ./sage --notebook=ipython terminates by
ImportError: No module named _ssl
With libssl-dev, the ipython notebook works well.

For a binary install, I've tried sage-6.4-x86_64-Linux-Ubuntu_10.04_x86_64.tar since the Ubuntu 14.04 LTS is not on the mirrors yet (I understand from a previous message on this list that there is some built problem for 14.04 LTS). Then the command ./sage --notebook=ipython terminates by
ImportError: libssl.so.0.9.8: cannot open shared object file: No such file or directory
Indeed, on Ubuntu 14.04, the libssl.so version is 1.0.0, not 0.9.8. I guess this issue will be resolved as soon as Ubuntu 14.04 LTS binaries are available.

Two unrelated remarks:

- On http://sagemath.org/, clicking on "Changelog" below "Download 6.4" leads to a broken page

- On http://sagemath.org/download-linux.html, there is no longer the mirror in Paris 6 University.

Best wishes,

Eric.

Jan Groenewald

unread,
Nov 19, 2014, 8:35:36 AM11/19/14
to sage-r...@googlegroups.com
Hi

libssl 0.9.8 is not default, but is available:
0 jan@muizenberg:/var/autofs/misc/home/jan$apt-cache policy libssl0.9.8
libssl0.9.8:
  Installed: (none)
  Candidate: 0.9.8o-7ubuntu3.2.14.04.1
  Version table:
     0.9.8o-7ubuntu3.2.14.04.1 0
        500 http://za.archive.ubuntu.com/ubuntu/ trusty-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ trusty-security/universe amd64 Packages
     0.9.8o-7ubuntu3.1 0
        500 http://za.archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
0 jan@muizenberg:/var/autofs/misc/home/jan$

However I see the current 6.3 depends on libssl 1.0.0

0 jan@muizenberg:/var/autofs/misc/home/jan$apt-cache depends sagemath-upstream-binary |grep ssl
  Depends: libssl1.0.0
  Recommends: openssl
0 jan@muizenberg:/var/autofs/misc/home/jan$

I can change that if needs be when 6.4 gets added to the PPA. I can also make libssl-dev a Depends (or Recommends).

Regards,
Jan



--
You received this message because you are subscribed to the Google Groups "sage-release" group.
To unsubscribe from this group and stop receiving emails from it, send an email to sage-release...@googlegroups.com.
To post to this group, send email to sage-r...@googlegroups.com.
Visit this group at http://groups.google.com/group/sage-release.
For more options, visit https://groups.google.com/d/optout.



--
  .~.
  /V\     Jan Groenewald
 /( )\    www.aims.ac.za
 ^^-^^ 

kcrisman

unread,
Nov 19, 2014, 9:07:34 AM11/19/14
to sage-r...@googlegroups.com, Jeroen Demeyer, Harald Schilly
- On http://sagemath.org/, clicking on "Changelog" below "Download 6.4" leads to a broken page

 
That will be fixed soon - the script just has to be run again (J, I made the edits I'm going to make) and then the file zipped on up to the website.

Volker Braun

unread,
Nov 19, 2014, 9:35:37 AM11/19/14
to sage-r...@googlegroups.com
See also #17318

Jeroen Demeyer

unread,
Nov 19, 2014, 11:26:34 AM11/19/14
to sage-r...@googlegroups.com
On 2014-11-19 15:07, kcrisman wrote:
> - On http://sagemath.org/, clicking on "Changelog" below "Download
> 6.4" leads to a broken page
>
> That will be fixed soon - the script just has to be run again
Done.

I don't know what to do with the broken link
http://boxen.math.washington.edu/home/release/sage-6.4/tickets.html

Either we remove this link or we do store the tickets.html file:
http://boxen.math.washington.edu/home/jdemeyer/sage-git/logs/tickets.html

kcrisman

unread,
Nov 19, 2014, 11:28:35 AM11/19/14
to sage-r...@googlegroups.com

On 2014-11-19 15:07, kcrisman wrote:
>     - On http://sagemath.org/, clicking on "Changelog" below "Download
>     6.4" leads to a broken page
>
> That will be fixed soon - the script just has to be run again
Done.


Please run it again, vis-a-vis one person's using only lower-case for her name.
 
I don't know what to do with the broken link
http://boxen.math.washington.edu/home/release/sage-6.4/tickets.html

Either we remove this link or we do store the tickets.html file:
http://boxen.math.washington.edu/home/jdemeyer/sage-git/logs/tickets.html

Or change the link to that location? 

Jeroen Demeyer

unread,
Nov 19, 2014, 11:30:18 AM11/19/14
to sage-r...@googlegroups.com
On 2014-11-19 17:28, kcrisman wrote:
> Please run it again
Done.

Harald Schilly

unread,
Nov 19, 2014, 11:39:57 AM11/19/14
to sage-release
So, is there somewhere a proper sage-6.4.txt release log file for the website?

-- Harald

Samuel Lelièvre

unread,
Nov 19, 2014, 12:30:16 PM11/19/14
to sage-release
Eric Gourgoulhon wrote:

> - On http://sagemath.org/download-linux.html, there is no longer the mirror
> in Paris 6 University.

This is fixed now.

kcrisman

unread,
Nov 24, 2014, 9:34:39 AM11/24/14
to sage-r...@googlegroups.com
>> Please run it again
>
> Done.

So, is there somewhere a proper sage-6.4.txt release log file for the website?

Harald Schilly

unread,
Nov 24, 2014, 9:41:37 AM11/24/14
to sage-release
Thank you! Just in time for 6.4.1 ;-)

-- Harald
Reply all
Reply to author
Forward
0 new messages